org.apache.pdfbox.pdmodel.documentinterchange.prepress

## Class PDBoxStyle

- java.lang.Object
- - org.apache.pdfbox.pdmodel.documentinterchange.prepress.PDBoxStyle

All Implemented Interfaces:
  COSObjectable

    public class PDBoxStyle
    extends Object
    implements COSObjectable

The Box Style specifies visual characteristics for displaying box areas.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `GUIDELINE_STYLE_DASHED` Style for guideline.
`static String` `GUIDELINE_STYLE_SOLID` Style for guideline.

### Constructor Summary

Constructors
Constructor and Description
`PDBoxStyle()` Default Constructor.
`PDBoxStyle(COSDictionary dic)` Constructor for an existing BoxStyle element.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`PDColor` `getGuidelineColor()` Get the RGB color to be used for the guidelines.
`String` `getGuidelineStyle()` Get the style for the guideline.
`float` `getGuidelineWidth()` Get the width of the of the guideline in default user space units.
`PDLineDashPattern` `getLineDashPattern()` Get the line dash pattern for this box style.
`void` `setGuideLineColor(PDColor color)` Set the color space instance for this box style.
`void` `setGuidelineStyle(String style)` Set the style for the box.
`void` `setGuidelineWidth(float width)` Set the guideline width.
`void` `setLineDashPattern(COSArray dashArray)` Set the line dash pattern associated with this box style.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GUIDELINE_STYLE_SOLID

    public static final String GUIDELINE_STYLE_SOLID

Style for guideline.

See Also:
  Constant Field Values

#### GUIDELINE_STYLE_DASHED

    public static final String GUIDELINE_STYLE_DASHED

Style for guideline.

See Also:
  Constant Field Values

### Constructor Detail

#### PDBoxStyle

    public PDBoxStyle()

Default Constructor.

#### PDBoxStyle

    public PDBoxStyle(COSDictionary dic)

Constructor for an existing BoxStyle element.

Parameters:
  `dic` - The existing dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getGuidelineColor

    public PDColor getGuidelineColor()

Get the RGB color to be used for the guidelines. This is guaranteed to not return null. The default color is [0,0,0].

Returns:
  The guideline color.

#### setGuideLineColor

    public void setGuideLineColor(PDColor color)

Set the color space instance for this box style. This must be a PDDeviceRGB!

Parameters:
  `color` - The new colorspace value.

#### getGuidelineWidth

    public float getGuidelineWidth()

Get the width of the of the guideline in default user space units. The default is 1.

Returns:
  The width of the guideline.

#### setGuidelineWidth

    public void setGuidelineWidth(float width)

Set the guideline width.

Parameters:
  `width` - The width in default user space units.

#### getGuidelineStyle

    public String getGuidelineStyle()

Get the style for the guideline. The default is "S" for solid.

Returns:
  The guideline style.
See Also:
  `GUIDELINE_STYLE_DASHED`, `GUIDELINE_STYLE_SOLID`

#### setGuidelineStyle

    public void setGuidelineStyle(String style)

Set the style for the box.

Parameters:
  `style` - The style for the box line.
See Also:
  `GUIDELINE_STYLE_DASHED`, `GUIDELINE_STYLE_SOLID`

#### getLineDashPattern

    public PDLineDashPattern getLineDashPattern()

Get the line dash pattern for this box style. This is guaranteed to not return null. The default is [3],0.

Returns:
  The line dash pattern.

#### setLineDashPattern

    public void setLineDashPattern(COSArray dashArray)

Set the line dash pattern associated with this box style.

Parameters:
  `dashArray` - The patter for this box style.